select
  DB_NAME(DPS.DATABASE_ID) AS [DatabaseName]
 ,OBJECT_NAME(DPS.OBJECT_ID) AS TableName
 ,SI.NAME AS IndexName
 ,DPS.INDEX_TYPE_DESC AS IndexType
 ,DPS.AVG_FRAGMENTATION_IN_PERCENT AS AvgPageFragmentation
 ,DPS.PAGE_COUNT AS PageCounts
FROM sys.dm_db_index_physical_stats (DB_ID(), NULL, NULL , NULL, NULL) DPS --N'LIMITED') DPS
INNER JOIN sysindexes SI 
    ON DPS.OBJECT_ID = SI.ID 
    AND DPS.INDEX_ID = SI.INDID
	where DPS.avg_fragmentation_in_percent > 0
ORDER BY DPS.avg_fragmentation_in_percent DESC
GO


-- Declare the variables to store the values returned by FETCH.
DECLARE @DB_Name varchar(400)
DECLARE @T_Name varchar(400)
DECLARE @ALTER varchar(200)
DECLARE DB_cursor CURSOR FOR
select
DB_NAME(DPS.DATABASE_ID) AS [DatabaseName]
,OBJECT_NAME(DPS.OBJECT_ID) AS TableName
FROM sys.dm_db_index_physical_stats (DB_ID(), NULL, NULL , NULL, NULL) DPS --N'LIMITED') DPS
INNER JOIN sysindexes SI ON DPS.OBJECT_ID = SI.ID AND DPS.INDEX_ID = SI.INDID
where DPS.avg_fragmentation_in_percent > 0
ORDER BY DPS.avg_fragmentation_in_percent DESC

OPEN DB_cursor

FETCH NEXT FROM DB_cursor
INTO @DB_Name, @T_Name

-- Check @@FETCH_STATUS to see if there are any more rows to fetch.
WHILE @@FETCH_STATUS = 0
BEGIN
   BEGIN TRY
     SET @Alter = 'ALTER INDEX ALL ON ' + @T_Name + ' REBUILD'
	 EXEC(@ALTER)
	 PRINT 'Index reorganisiert ' + @T_Name
   END TRY
   BEGIN CATCH
	 PRINT 'Index nicht reorganisiert ' + @T_Name
   END CATCH
   -- This is executed as long as the previous fetch succeeds.
   FETCH NEXT FROM DB_cursor
   INTO @DB_Name, @T_Name
END

CLOSE DB_cursor
DEALLOCATE DB_cursor
GO