ALTER FUNCTION [dbo].[Guthabenvorbereitung] 
(
    @InstNR nvarchar(3),
    @BDate datetime
)
RETURNS TABLE
AS
RETURN
(	
SELECT     tab_KNE_KN.KNEID, tab_KNE_KN.KNID,  tab_KNE_KN.GBR_Quote,  
           MIN(ISNULL(tabKreditnehmer.kn_passiv_az2_3_4_9, 0) + ISNULL(tabKreditnehmer.kn_passiv_depot, 0)) AS KN_Passiv_Gesamt, 
           SUM(CASE WHEN tabKonto.kto_saldo > 0 THEN tabKonto.kto_saldo ELSE 0 END) AS PositiverSaldo  
FROM       tab_KNE_KN INNER JOIN
           tabKreditnehmer ON tab_KNE_KN.KNID = tabKreditnehmer.KNID left JOIN
           tabKonto ON tabKreditnehmer.KNID = tabKonto.KNID
WHERE     (tab_KNE_KN.INR = @INSTNR) AND (tab_KNE_KN.Bdate = @BDate)
GROUP BY tab_KNE_KN.KNEID, tab_KNE_KN.KNID,  tab_KNE_KN.GBR_Quote 
)
GO


Update _tabVersion set DBVersion = '7.77', DBDate = '15.10.2018'
GO